Deposit
curl --request POST \
--url https://api.example.com/v1/bidder/deposit/{amount}import requests
url = "https://api.example.com/v1/bidder/deposit/{amount}"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/bidder/deposit/{amount}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "1000000000000000000",
"window_number": 1
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}API Reference
Deposit
Deposit is called by the bidder node to add deposit in the bidder registry. The bidder can deposit funds in a particular window by specifying the window number. If the window number is not specified, the current block number is used to calculate the window number. If the block number is specified, the window number is calculated based on the block number. If AutoDeposit is enabled, the deposit API returns error.
POST
/
v1
/
bidder
/
deposit
/
{amount}
Deposit
Path Parameters
Amount of ETH to be deposited in wei.
Query Parameters
Optional window number for querying deposit. If not specified, the current block number is used.
Optional block number for querying deposit. If specified, calculate window based on this block number.